Eclipse Platform Release 3.7

## org.eclipse.swt.graphics
Class PathData

    java.lang.Object
      org.eclipse.swt.graphics.PathData

    public final class PathData

extends Object

Instances of this class describe device-independent paths.

Since:
  3.1
See Also:
  `Path`, Sample code and further information

Field Summary
`float[]` `points` The points of a path.
`byte[]` `types` The type of each point.

Constructor Summary
`PathData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### types

    public byte[] types

  The type of each point.

### points

    public float[] points

  The points of a path.

Constructor Detail

### PathData

    public PathData()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.